mav_paletteColourSet(3)

NAME
mav_paletteColourSet - Define an ambient colour entry in a palette.

LEVEL
Maverik Level 1

SYNTAX
void mav_paletteColourSet(MAV_palette *p, int index, float r, float g, float b, float a);

ARGUMENTS
Palette to set. Index of colour to define, in range 0..mav_opt_maxColours (default 150). Red, green and blue component of colour (0.0-1.0) Alpha component of colour (0.0-1.0) (0=transparent, 1=opaque)

DESCRIPTION
This function defines ambient colour entry index of palette p as specified by r, g, b and a.

N.B. For transparent colours to be handled correctly, the options variable mav_opt_trans must be set to MAV_TRUE before mav_initialise is called.

SEE ALSO
mav_paletteMaterialSet, mav_paletteTextureSet